## recoll-1.43.13-1.src.tar.gz

=== meson_options.txt ===
option('testmains', type: 'boolean', value: false,
       description: 'Build small diag/test drivers. Not unit tests')
option('rclgrep', type: 'boolean', value: false,
       description: 'Build the index-less search tool')
option('python-module', type: 'boolean', value: true,
       description: 'Build the Recoll Python extension module.')
option('python-chm', type: 'boolean', value: true,
       description: 'Build the libchm Python wrapper')
option('python-aspell', type: 'boolean', value: true,
       description: 'build the aspell Python wrapper')
option('indexer', type: 'boolean', value: true,
       description: 'Build the recollindex indexer (else recoll is query-only)')
option('xadump', type: 'boolean', value: false,
       description: 'build the xadump low level Xapian access program')
option('recollq', type: 'boolean', value: false,
       description: 'Build the recollq command line query tool')
option('qtgui', type: 'boolean', value: true,
       description: 'Build the Qt GUI')
option('noqtsingleapp', type: 'boolean', value: false,
       description: 'Do not use Use the SingleApplication module')
option('webkit', type: 'boolean', value: true,
       description: 'Use Qt Webkit')
option('webengine', type: 'boolean', value: false,
       description: 'Use Qt Webengine instead of Webkit')
option('webpreview', type: 'boolean', value: true,
       description: 'Implement the GUI preview windows with webkit or webengine instead of qtextbrowser')
option('guidebug', type: 'boolean', value: false,
       description: 'Generate and retain debug symbols in the GUI program')
# Note: idxthreads should have a false default on Mac OS as it does not perform well.
option('idxthreads', type: 'boolean', value : true,
       description: 'Enable multithreaded indexing')
option('simdutf', type: 'boolean', value : true,
       description: 'Use the simdutf module for faster charset conversion')
option('spawn', type: 'boolean', value : false,
       description: 'Use posix_spawn instead of execv')
option('camelcase', type: 'boolean', value : false,
       description: 'Split camelCase words. This has bad consequences for phrase searches')
option('libmagic', type: 'boolean', value: true,
       description: 'Use libmagic instead of executing xdg-mime/file')
option('ext4-birthtime', type: 'boolean', value: false,
       description: 'Support birthtime metadata for ext4 file systems')
option('x11mon', type: 'boolean', value: true,
       description: 'recollindex support for X11 session monitoring (needs Xlib)')
option('file-command', type: 'string', value: 'file',
       description: 'file type identification command to use by default. This is normally defined in the config')
option('aspell', type: 'boolean', value: true,
       description: 'Use the aspell program and/or library for spelling approximations')
option('semantic', type: 'boolean', value: true,
       description: 'Enable the semantic search functions')
option('inotify', type: 'boolean', value: true,
       description: 'Use inotify for monitoring file changes')
option('fam', type: 'boolean', value: false,
       description: 'Use fam for monitoring file changes')
option('fsevents', type: 'boolean', value: true,
       description: 'Use Apple fsevents API for monitoring file changes')
option('qtzeitgeist', type: 'boolean', value: false,
       description: 'Use the qt zeitgeist library for generating zeitgeist events')
option('appimage', type: 'boolean', value: false,
       description: 'build for inclusion in an AppImage')
option('catch', type: 'boolean', value: false, description: 'build the catch2 unit tests')
option('systemd', type: 'boolean', value: true,
       description: 'Install the systemd unit files')
# Was supplied in configure.ac 'pkg-config --variable systemd_system_unit_dir systemd'
option('systemd-system-unit-dir', type: 'string', value:'/usr/lib/systemd/system',
       description: 'Install location for systemd system unit files')
# Was supplied in configure.ac by 'pkg-config --variable systemd_user_unit_dir systemd'
option('systemd-user-unit-dir', type: 'string', value:'/usr/lib/systemd/user',
       description: 'Install location for systemd user unit files')
# Note: the autotools build never built the manual, and the build would not work for out of tree
# builds anyway.  the tar-based build succeeded because usermanual.html was part of the tarfile
# Not sure it makes sense to fix this.
#option('userdoc', type: 'boolean', value: true,
#       description: 'Build the user manual (needs docbook xml/xsl files and TeX tools)')
option('aspell_include_dir', type: 'string', value:'',
                             description: 'Specify the aspell include directory (if not found in the system include directories).')
option('chm_include_dir', type: 'string', value:'',
                          description: 'Specify the chm include directory (if not found in the system include directories).')

=== PKGBUILD ===
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Contributor: Daniel J Griffiths <ghost1227@archlinux.us>
# Contributor: Andrea Scarpino <andrea@archlinux.org>
# Contributor: Vladimir Chizhov <jagoterr@gmail.com>
# Contributor: Robert Emil Berge <filoktetes@linuxophic.org>

pkgname=recoll
pkgver=1.43.13
pkgrel=1
pkgdesc="Full text search tool based on Xapian backend"
arch=('x86_64')
url="https://www.recoll.org"
license=('GPL')
depends=('xapian-core>=1.0.15-1' 'qt6-base' 'openssl' 'hicolor-icon-theme' 'qt6-webengine'
	 'chmlib' 'aspell')
makedepends=('python' 'python-setuptools' 'qt6-tools'
	     'cmake' 'extra-cmake-modules' 'meson'
	     'kcoreaddons' 'kio' 'krunner' 'knotifications')
optdepends=('libxslt: for XML based formats (fb2,etc)'
	    'unzip: for the OpenOffice.org documents'
	    'poppler: for pdf'
	    # 'pstotext: for postscipt' # Dropped to AUR as upstream has disappeared
	    'antiword: for msword'
	    'catdoc: for ms excel and powerpoint'
	    'unrtf: for RTF'
#	    'untex: for dvi support with dvips'
	    'djvulibre: for djvu'
#	    'id3lib: for mp3 tags support with id3info'
	    'python-mutagen: Audio metadata'
	    'perl-image-exiftool: EXIF data from image files'
	    'python-lxml: indexing spreadsheets'
	    'python-pychm: CHM filter'
	    'kcoreaddons: KDE plugins'
	    'kio: KDE plugins'
	    'krunner: KDE plugins'
	    'aspell-en: English stemming support')
source=("https://www.recoll.org/$pkgname-${pkgver/_/}.tar.gz")
sha512sums=('5ea4ee4d466209ce6b8d01ca657f649ddedc5a39528c8efd01de15e8353648976e41bb81b70b4bd4397fd51d8bddc76fc62c5c6ade886752564c3e7b3181329a')

prepare() {
  cd "$srcdir/$pkgname-${pkgver/_/}"
  sed -i '1,1i#include <QAbstractItemView>' qtgui/ssearch_w.cpp
  sed -i '/int res3 = SWIG_TMPOBJ/d' python/pychm/recollchm/swig_chm.c
}

build() {
  cd "$srcdir/$pkgname-${pkgver/_/}"

  export PATH="/usr/lib/qt6/bin:$PATH"

  meson setup \
    --prefix=/usr \
    -Drecollq=true \
    -Dwebkit=false \
    -Dwebengine=true \
    build
  ninja -C build

  export RECOLL_LIB_DIR=$(pwd)/build

  pushd kde/kioslave/kio_recoll
  cp CMakeLists-KF6.txt CMakeLists.txt
  mkdir -p build
  cd build
  cmake \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DRECOLL_PUBLIC_LIB=ON \
    -DQT_MAJOR_VERSION=6 \
    -DDATA_INSTALL_DIR=/usr/share \
    ..
  make
  popd

  pushd kde/krunner
  cp CMakeLists-KF6.txt CMakeLists.txt
  mkdir -p build
  cd build
  cmake \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DRECOLL_PUBLIC_LIB=ON \
    -DQT_MAJOR_VERSION=6 \
    -DDATA_INSTALL_DIR=/usr/share \
    ..
  make
  popd

}

package() {
  cd "$srcdir/$pkgname-${pkgver/_/}"
  DESTDIR="$pkgdir" ninja -C build install
  make -C "kde/kioslave/kio_recoll/build" DESTDIR="$pkgdir" install
  make -C "kde/krunner/build" DESTDIR="$pkgdir" install
}
